List Webhook Endpoints

Lists webhook endpoints configured for your account.

You can also create, test, and manage webhook endpoints in the Merchant Dashboard.

Related guide: Webhooks

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/webhooks
curl https://api.paypercut.io/v1/webhooks \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "items": [
    {
      "id": "string",
      "created": "2026-07-28T08:24:41.303Z",
      "name": "string",
      "url": "https://example.com/webhooks/paypercut",
      "enabled_events": [
        "checkout_session.completed",
        "payment_intent.authorized",
        "payment_intent.captured",
        "payment.succeeded",
        "payment.captured",
        "invoice.paid",
        "invoice.payment_failed"
      ],
      "status": "string",
      "secret": "string"
    }
  ],
  "last_key": "eyJsYXN0SWQiOiIzMTIxMDI2MWJjYzMzMDExYzVkMTE0ZTIwMTMiLCJ0dGwiOiIxNzU0MjIwODczIn0="
}